Verify the domain's DNS records
curl --request POST \
--url https://api.railmail.app/api/v1/sending-domain/verify-dns \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.railmail.app/api/v1/sending-domain/verify-dns"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.railmail.app/api/v1/sending-domain/verify-dns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domainId": 123,
"resultingStatus": "<string>",
"healthScore": 123,
"records": [
{
"id": 123,
"recordType": "<string>",
"host": "<string>",
"expectedValue": "<string>",
"actualValue": "<string>",
"status": "<string>",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}
],
"allVerified": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}Sending Domain
Verify the domain's DNS records
Triggers a DNS verification check and returns the resulting status. Requires scope: sending_domains:write. Tenancy: scoped to the API key’s project.
POST
/
api
/
v1
/
sending-domain
/
verify-dns
Verify the domain's DNS records
Authorizations
Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....